class DeviseCreateRequestRefineryUsers < ActiveRecord::Migration
  def change
    create_table(:request_refinery_users) do |t|
      ## Database authenticatable
      t.string :email,              null: false, default: ""
      t.string :encrypted_password, null: false, default: ""

      ## Recoverable
      t.string   :reset_password_token
      t.datetime :reset_password_sent_at

      ## Rememberable
      t.datetime :remember_created_at

      ## Trackable
      t.integer  :sign_in_count, default: 0, null: false
      t.datetime :current_sign_in_at
      t.datetime :last_sign_in_at
      t.string   :current_sign_in_ip
      t.string   :last_sign_in_ip

      ## Confirmable
      # t.string   :confirmation_token
      # t.datetime :confirmed_at
      # t.datetime :confirmation_sent_at
      # t.string   :unconfirmed_email # Only if using reconfirmable

      ## Lockable
      # t.integer  :failed_attempts, default: 0, null: false # Only if lock strategy is :failed_attempts
      # t.string   :unlock_token # Only if unlock strategy is :email or :both
      # t.datetime :locked_at

      t.string :first_name
      t.string :last_name
      t.string :username, null: false, default: ""

      t.timestamps
    end

    add_index :request_refinery_users, :email,                unique: true
    add_index :request_refinery_users, :username,             unique: true
    add_index :request_refinery_users, :reset_password_token, unique: true
    # add_index :request_refinery_users, :confirmation_token,   unique: true
    # add_index :request_refinery_users, :unlock_token,         unique: true

    create_table :request_refinery_permissions_users, id:false do |t|
      t.belongs_to :permission
      t.belongs_to :user

      t.timestamps
    end

    create_table :request_refinery_roles_users, id:false do |t|
      t.belongs_to :role
      t.belongs_to :user

      t.timestamps
    end

    create_table :request_refinery_customers_users, id:false do |t|
      t.belongs_to :customer
      t.belongs_to :user

      t.timestamps
    end

    create_table :request_refinery_inverse_users_restrictions, id:false do |t|
      t.belongs_to :permission
      t.belongs_to :user

      t.timestamps
    end


  end
end
